# `if`语句

> 原文： [https://pythonspot.com/if-statements/](https://pythonspot.com/if-statements/)

在 Python 中，您可以定义条件语句，称为 if 语句。
如果满足某些条件，则将执行代码块。

## `if`语句

Consider this application, it executes either the first or second code depending on the value of x.

```py

#!/usr/bin/python

x = 3
if x > 10:
    print("x smaller than 10")
else:
    print("x is bigger than 10 or equal")

```

如果将 x 设置为大于 10，它将执行第二个代码块。 我们使用缩进（4 个空格）定义块。

## 一个小游戏：

用户可能并不总是定义变量，请考虑以下小游戏：

```py
age = 24

print "Guess my age, you have 1 chances!"
guess = int(raw_input("Guess: "))

if guess != age:
    print("Wrong!")
else:
    print("Correct")

```

## 条件运算符

A word on conditional operators

Do not confuse the assignment operator (=) with the equals operator (==).

## 嵌套

The most straightforward way to do multiple conditions is nesting:

| **运算符** | **说明** |
| ！= | 不相等 |
| == | 等于 |
| &gt; | 比...更棒 |
| &lt; | 小于 |

| 

```py
a = 12
b = 33

if a &gt; 10:
    if b &gt; 20:
        print("Good")

```

 |

考虑结合 4 或 6 个条件，这可能很快变得难以阅读。 幸运的是，Python 有一个解决方案，我们可以使用 _ 和 _ 关键字组合条件。

```py
guess = 24
if guess > 10 and guess < 20:
    print("In range")
else:
    print("Out of range")

```

有时您可能想使用 _ 或 _ 运算符。

[下载 Python 练习](https://pythonspot.com/download-python-exercises/)